// Copyright 2024 Game Core Tools. All Rights Reserved.

using UnrealBuildTool;

public class RenameTool : ModuleRules
{
    public RenameTool(ReadOnlyTargetRules Target) : base(Target)
	{
		PCHUsage = ModuleRules.PCHUsageMode.UseExplicitOrSharedPCHs;			
		
		PublicDependencyModuleNames.AddRange(
			new string[]
			{
				"Core",
                "RenderCore",
                "UnrealEd",
                "StaticMeshDescription",
                "MeshDescription",
                "Blutility",
                "UMG",
            }
			);

        PrivateDependencyModuleNames.AddRange(
			new string[]
			{
				"CoreUObject",
				"Engine",
                "Slate",
				"SlateCore",
				"SceneOutliner",
            }
			);
    }
}
