# Rename Tool

Rename Tool Editor Plugin. Batch rename Assets and Actors easily. Change prefix, suffix, replace substring, modify letter case, add numbering and more.

## Features

Main features
- Rename assets in the Content Browser
- Rename Actors in the Level (World)
- Batch rename by selection
- Helper function library

Rename features
- Add/remove Prefix
- Add/remove Suffix
- Replace substring
- Change letter case
- Add numbering

## How to use

1. In Project Settings/Plugins enable "Rename Tool" plugin
1. In the Content Browser navigate to Plugins/Rename Tool Content/Blueprints and, right click Run Editor Utility Widget
1. Right-click EUW_RenameTool and select "Run Editor Utility Widget"
1. Select assets in Content Browser and/or Actors in the Level
1. Set up Rename Details
1. (Optionally) Use the "Update Preview" button to see the rename result before executing
1. Click "Execute Rename on Selection" to rename the selected objects

## Contents

Code Modules:
- RenameTool (Editor)

Number of Blueprints: 2

Number of C++ Classes: 2

Supported Development Platforms: Windows, MacOS

Supported Target Build Platforms: All (Editor plugin)

## Important/Additional Notes
- Full C++ source code included

## Support
gamecoretools@gmail.com
